Delete a Contact Method
curl --request DELETE \
--url https://api.virtuoussoftware.com/api/ContactMethod/{contactMethodId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ContactMethod/{contactMethodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactMethod/{contactMethodId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactMethod/{contactMethodId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactMethod/{contactMethodId}';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Delete a Contact Method
Deletes the contact method from its individual. To keep it for history, archive it instead.
DELETE
/
api
/
ContactMethod
/
{contactMethodId}
Delete a Contact Method
Last modified on August 11, 2026
Was this page helpful?
⌘I